Bug 23441 - Export should not include the 'actions' column in Z3950 results
Summary: Export should not include the 'actions' column in Z3950 results
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 23307
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-09 08:06 UTC by Martin Renvoize
Modified: 2019-09-02 12:17 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23441: Export should not include the 'actions' column in Z3950 results. (1.59 KB, patch)
2019-08-09 11:46 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23441: Export should not include the 'actions' column in Z3950 results. (1.63 KB, patch)
2019-08-09 19:18 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23441: Export should not include the 'actions' column in Z3950 results. (1.70 KB, patch)
2019-08-10 11:45 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2019-08-09 08:06:11 UTC
As mentioned in bug 23307 

It would be nice if the "Actions" column could be dropped from the export (it's about 200 characters wide and there's no way to turn it off and it adds no value to the export) and if the "Additional fields" column could be included in options with the "Column settings" button if AdditionalFieldsInZ3950ResultSearch is configured.
Comment 1 Owen Leonard 2019-08-09 11:46:59 UTC Comment hidden (obsolete)
Comment 2 Maryse Simard 2019-08-09 19:18:02 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2019-08-10 11:45:01 UTC
Created attachment 92125 [details] [review]
Bug 23441: Export should not include the 'actions' column in Z3950 results.

This patch adds the "noExport" class to the table header for the Z39.50
search results "Actions" column. This class prevents the column from
being included in DataTables export operations.

To test, apply the patch and perform a Z39.50 search from Cataloging. On
the search results page, click the "Export or print" button. Choose one
of the export options and verify that in the resulting data there is no
"Actions" column.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2019-08-13 10:33:52 UTC
Nice work!

Pushed to master for 19.11.00
Comment 5 Fridolin SOMERS 2019-09-02 12:17:01 UTC
Depends on Bug 23307 not in 19.05.x